Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07835 Compiling Major Always Jan 3, 2021, 15:38 Jan 14, 2021, 10:50
Tester bbegin View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Invalid report OS Linux (32-bit)
Status [?] Closed Driver
Version 0.227 Fixed in Version Build 32-bit
Fixed in Git Commit Github Pull Request #
Summary 07835: [Linux] [Raspberry Pi 4] Linking errors with 0.227 (previous versions OK)
Description All the source files build successfully. However, I get multiple errors at the Linking phase.

[Tafoid] Due to length of lines and how it is malforming the bug display, this is been reuploaded uploaded as a .txt file
Steps To Reproduce On a Raspberry Pi 4 with Raspberry Pi OS Lite (Buster)/SDL 2.0.10 (without X11), I use the following build command-line :

make ARCHOPTS="-mcpu=cortex-a72 -mtune=cortex-a72 -mfpu=neon-vfpv4 -mfloat-abi=hard -funsafe-math-optimizations -fprefetch-loop-arrays -fexpensive-optimizations" NO_X11=1 NOWERROR=1 NO_USE_XINPUT=1 NO_USE_XINPUT_WII_LIGHTGUN_HACK=1 NO_OPENGL=1 USE_QTDEBUG=0 DEBUG=0 REGENIE=1 NO_BGFX=1 FORCE_DRC_C_BACKEND=1
Additional Information # gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/arm-linux-gnueabihf/8/lto-wrapper
Target: arm-linux-gnueabihf
Configured with: ../src/configure -v --with-pkgversion='Raspbian 8.3.0-6+rpi1' --with-bugurl=file:///usr/share/doc/gcc-8/README.Bugs --enable-languages=c,ada,c++,go,d,fortran,objc,obj-c++ --prefix=/usr --with-gcc-major-version-only --program-suffix=-8 --program-prefix=arm-linux-gnueabihf- --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-libitm --disable-libquadmath --disable-libquadmath-support --enable-plugin --with-system-zlib --with-target-system-zlib --enable-objc-gc=auto --enable-multiarch --disable-sjlj-exceptions --with-arch=armv6 --with-fpu=vfp --with-float=hard --disable-werror --enable-checking=release --build=arm-linux-gnueabihf --host=arm-linux-gnueabihf --target=arm-linux-gnueabihf
Thread model: posix
gcc version 8.3.0 (Raspbian 8.3.0-6+rpi1)


# uname -a
Linux arcade 5.4.79-v7l+ #1373 SMP Mon Nov 23 13:27:40 GMT 2020 armv7l GNU/Linux
Github Commit
Flags
Regression Version
Affected Sets / Systems
Attached Files
txt file icon Pi4_0227 Compile Error.txt (7,973 bytes) Jan 3, 2021, 16:08 Uploaded by Tafoid
Pi4_02227 Compile Error.txt
[Show Content]
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.18324
Fujix
Administrator
Jan 4, 2021, 07:37
Do we take care of Raspberry Pi?
User avatar
No.18326
bbegin
Tester
Jan 5, 2021, 07:53
Resolved. After à close examination, an object file was incomplete, explaining the linking error. Sorry about that, my apologies.
User avatar
No.18327
ozfalcon
Tester
Jan 5, 2021, 08:26
Fujix >>> Do we take care of Raspberry Pi?

"makefile"
PLATFORM := arm
OS := linux
User avatar
No.18328
Robbbert
Developer
Jan 5, 2021, 11:31
Thanks for letting us know that you've fixed it.
Closed.
User avatar
No.18375
Fujix
Administrator
Jan 14, 2021, 10:50
Thank you.